Subject: [E3-hacking] PBL V5.1

From: Alexander <[email-masked]>
Date: Fri, 5 Oct 2007 18:38:10 +0400

Hello!

With its E3, I made a cable connected to his computer, and after the phone to 
see:
_________________________________________________________
Amstrad Delta - PBL V5.1 Build:1314
PBL 32MB NAND
0MB.-->MEMv01.00.002,CopyLim=00224000h,CodeEnd=01400000h-->PBL......1MB.......2MB.*
Uncompressing Linux........................................................ 
done, booting the kernel...
....
Using /lib/modules/2.4.18_mvl30-ams-delta/kernel/drivers/media/video/videodev.o
Using /lib/modules/2.4.18_mvl30-ams-delta/kernel/drivers/media/video/omap/v4l2-omap.o
Using /lib/modules/2.4.18_mvl30-ams-delta/kernel/drivers/usb/printer.o
Using dfd.o
Warning: loading dfd will taint the kernel: no license
  See http://www.tux.org/lkml/#export-tainted for information about tainted 
modules
insmod: init_module: dfd: Device or resource busy
Using ams-delta-sys.o
Warning: loading ams-delta-sys will taint the kernel: no license
  See http://www.tux.org/lkml/#export-tainted for information about tainted 
modules
Using smartcard.o
Warning: loading smartcard will taint the kernel: no license
  See http://www.tux.org/lkml/#export-tainted for information about tainted 
modules
Using hdwdock.o
Warning: loading hdwdock will taint the kernel: no license
  See http://www.tux.org/lkml/#export-tainted for information about tainted 
modules
Using dsplinkk.o
Warning: loading dsplinkk will taint the kernel: non-GPL license - 
DSP/BIOS(TM) LINK
  See http://www.tux.org/lkml/#export-tainted for information about tainted 
modules
Using shmemModule.o
Warning: loading shmemModule will taint the kernel: non-GPL license - (c) 
Texas Instruments
  See http://www.tux.org/lkml/#export-tainted for information about tainted 
modules
Using /lib/modules/2.4.18_mvl30-ams-delta/kernel/drivers/char/omap_wdt.o
Using /lib/modules/2.4.18_mvl30-ams-delta/kernel/net/unix/unix.o
Warning: loading unix will taint the kernel: no license
  See http://www.tux.org/lkml/#export-tainted for information about tainted 
modules
insmod: A module named unix already exists

== WATCHMAN STARTING =====
Watchdog default timeout = 19
Watchdog timeout set to = 18
Watchdog Ticking Away!
create_server_socket() - Creating AF_UNIX socket
        CHILD: Forked - child
_________________________________________________________
	
So, I tried to load the kernel using pbltool:

_________________________________________________________

# ./modified_pbltool
Prodding...
Handshaking...
Done handshaking
Talking to PBL v5.1 Build 1314
PBL v5.1> setbaud 115200
Got command setbaud
sendpacket: 0
PBL v5.1> meminfo
Got command meminfo
PBL v5.1> write 0x11d00000 uImage
Got command write
1576868 bytes transfered so far (1539 KB)
1576868 bytes transfered with 0 retrys
PBL v5.1> write 0x11800000 install-initrd.ext2.gz
Got command write
1229724 bytes transfered so far (1200 KB)
1229724 bytes transfered with 0 retrys
PBL v5.1> write 0x11f00000 u-boot-install.bin
Got command write
94412 bytes transfered so far (92 KB)
94412 bytes transfered with 0 retrys
PBL v5.1> exec 0x11f00000
Got command exec
sendpacket: 0
Starting dodgyterm term...
Serial terminal starting (CTRL+C to quit)
_________________________________________________________

But apart from these reports, I have not seen anything.
As things stand now with PBL V5.1?
Do I have a chance to use the device?